/* Range slider ================ */

@import "./src/lib/core/variables";

$color-gray: #dcdcdc;

.range-slider {
  display: block;
  width: 100%;

  .irs-line {
    border-radius: 6px;
    background-color: $color-gray;

    @include mq("desktop") {
      height: 18px;
    }
  }

  .irs-bar {
    border-radius: 6px;
    background-color: $color-secondary;

    @include mq("desktop") {
      height: 18px;
    }
  }

  .irs-handle {
    top: 15px;
    width: 34px;
    height: 34px;
    border-radius: 50%;
    background-color: $color-white;
    box-shadow: 0 0 0 5px $color-secondary inset;

    @include mq("desktop") {
      top: 8px;
      width: 44px;
      height: 44px;
    }

    i {
      display: none !important;
    }
  }

  .irs-single {
    top: -30px;
    padding: 7px 20px;
    color: $color-black-light;
    font-size: 16px;
    font-family: $font-family-main;
    background-color: $color-gray;

    @include mq("desktop") {
      top: -52px;
      padding: 10px 30px;
      font-size: 18px;
    }

    @include mq("tablet", "max") {
      padding: 5px 10px;
    }

    &::before {
      bottom: -16px;
      margin-left: -8px;
      border: 8px solid transparent;
      border-top-color: $color-gray;
    }
  }

  .irs-min,
  .irs-max {
    top: 60px;
    color: $color-black-light;
    font-size: $text-size-xs;
    background: transparent;
    visibility: visible !important;

    @include mq("desktop") {
      font-size: $text-size-s;
    }
  }

  .irs-min {

    &::before {
      content: "Мин. ";
    }
  }

  .irs-max {

    &::before {
      content: "Макс. ";
    }
  }
}

.range-slider__title {
  margin-bottom: 70px;
  font-weight: $text-weight-bold;

  @include mq("desktop", "max") {
    margin-bottom: 40px;
  }
}
/* ================ end range slider */
